GET /loyalty/{channelLinkId}/configuration

This endpoint provides information such as settings, features and requirements based on the account's configuration.

Path parameters

  • channelLinkId string Required

Responses

  • 200 application/json

    200

    Hide response attributes Show response attributes object
    • enabled boolean Required

      Default value is true.

    • providerName string Required
    • providerId integer Required

      Default value is 0.

    • externalSignUpUrl string Required
    • features object Required
      Hide features attributes Show features attributes object
      • supportsSSO boolean

        Default value is true.

      • supportsExternalSignUpUrl boolean

        Default value is true.

      • supportsWalletPointsBalance boolean

        Default value is true.

      • supportsWalletCashBalance boolean

        Default value is true.

      • supportsBOGOFPrograms boolean

        Default value is true.

      • supportsFreeItemPrograms boolean

        Default value is true.

      • supportsFlatPrograms boolean

        Default value is true.

      • requiresEmail boolean

        Default value is true.

      • requiresPhoneNumber boolean

        Default value is true.

      • supportsDynamicConfiguration string

        Default value is false.

    • cashbackConfig object Required
      Hide cashbackConfig attributes Show cashbackConfig attributes object
      • title string Required
      • description string Required
      • earningRules array[object] Required
        Hide earningRules attributes Show earningRules attributes object
        • type string Required

          Values are cash_back or sign_up.

        • reward object Required
          Hide reward attributes Show reward attributes object
          • type string Required

            Values are percentage or fixed.

          • value integer Required
      • burningRules array[object] Required
        Hide burningRules attributes Show burningRules attributes object
        • type string Required

          Values are percentage or fixed.

        • cost object Required
          Hide cost attributes Show cost attributes object
          • type string Required

            Values are percentage or fixed.

          • value string Required
          • maxBurningAmount string

            Only available for percentage driven rules

  • 400 application/json

    400

GET /loyalty/{channelLinkId}/configuration
curl \
 --request GET 'https://api.staging.deliverect.com/loyalty/{channelLinkId}/configuration' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "enabled": true,
  "features": {
    "supportsSSO": false,
    "requiresEmail": true,
    "requiresPhoneNumber": false,
    "supportsFlatPrograms": true,
    "supportsBOGOFPrograms": true,
    "supportsFreeItemPrograms": true,
    "supportsExternalSignUpUrl": true,
    "supportsWalletCashBalance": false,
    "supportsWalletPointsBalance": true,
    "supportsDynamicConfiguration": false
  },
  "providerId": 10000,
  "providerName": "Generic",
  "cashbackConfig": {
    "title": "VIP Customers",
    "description": "Exclusive rewards for our VIP customers",
    "burningRules": [
      {
        "cost": {
          "type": "percentage",
          "value": 5000,
          "maxBurningAmount": 500
        },
        "type": "purchase"
      },
      {
        "cost": {
          "type": "fixed",
          "value": 500
        },
        "type": "purchase"
      }
    ],
    "earningRules": [
      {
        "type": "cash_back",
        "reward": {
          "type": "percentage",
          "value": 1000
        }
      },
      {
        "type": "sign_up",
        "reward": {
          "type": "fixed",
          "value": 1000
        }
      }
    ]
  },
  "externalSignUpUrl": "https://deliverect.com/signup"
}
Response examples (400)
{}